Bug 28829 - Useless single quote escaping in value_builder/unimarc_field_4XX.pl
Summary: Useless single quote escaping in value_builder/unimarc_field_4XX.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 23777
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-07 01:57 UTC by Fridolin Somers
Modified: 2021-10-16 02:19 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 28829: Remove single quote escaping in value_builder/unimarc_field_4XX.pl (2.02 KB, patch)
2021-08-07 02:05 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28829: Remove single quote escaping in value_builder/unimarc_field_4XX.pl (2.07 KB, patch)
2021-08-08 11:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 28829: Remove single quote escaping in value_builder/unimarc_field_4XX.pl (2.12 KB, patch)
2021-09-10 16:28 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-07 01:57:28 UTC
Since Bug 23777 added To.json, single quote escaping in value_builder/unimarc_field_4XX.pl is useless.
Comment 1 Fridolin Somers 2021-08-07 02:05:57 UTC
Created attachment 123593 [details] [review]
Bug 28829: Remove single quote escaping in value_builder/unimarc_field_4XX.pl

Since Bug 23777 added To.json, single quote escaping in value_builder/unimarc_field_4XX.pl is useless.

Test plan:
1) Use UNIMARC database
2) Define value builder unimarc_field_4XX on 463$t
3) Create a record B1 with 200$a : L'avion
4) Create a record B2
5) Click on value builder in 463$t
6) Search for record B1
7) Click on "Choose"
=> Without patch 463$t contains : L\'avion
=> With patch 463$t contains : L'avion
Comment 2 David Nind 2021-08-08 11:26:39 UTC
Created attachment 123598 [details] [review]
Bug 28829: Remove single quote escaping in value_builder/unimarc_field_4XX.pl

Since Bug 23777 added To.json, single quote escaping in value_builder/unimarc_field_4XX.pl is useless.

Test plan:
1) Use UNIMARC database
2) Define value builder unimarc_field_4XX on 463$t
3) Create a record B1 with 200$a : L'avion
4) Create a record B2
5) Click on value builder in 463$t
6) Search for record B1
7) Click on "Choose"
=> Without patch 463$t contains : L\'avion
=> With patch 463$t contains : L'avion

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-09-10 16:28:01 UTC
Created attachment 124783 [details] [review]
Bug 28829: Remove single quote escaping in value_builder/unimarc_field_4XX.pl

Since Bug 23777 added To.json, single quote escaping in value_builder/unimarc_field_4XX.pl is useless.

Test plan:
1) Use UNIMARC database
2) Define value builder unimarc_field_4XX on 463$t
3) Create a record B1 with 200$a : L'avion
4) Create a record B2
5) Click on value builder in 463$t
6) Search for record B1
7) Click on "Choose"
=> Without patch 463$t contains : L\'avion
=> With patch 463$t contains : L'avion

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-09-20 12:47:47 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-01 17:42:40 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-10-06 20:13:06 UTC
Pushed to 20.11.x for 20.11.11
Comment 7 Victor Grousset/tuxayo 2021-10-16 02:19:21 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.